# DocToc [![build status](https://secure.travis-ci.org/thlorenz/doctoc.png)](http://travis-ci.org/thlorenz/doctoc)

[![NPM](https://nodei.co/npm/doctoc.png?downloads=true&stars=true)](https://nodei.co/npm/doctoc/)

Generates table of contents for markdown files inside local git repository. Links are compatible with anchors generated
by github or bitbucket via a command line flag.

**Table of Contents**  *generated with [DocToc](http://doctoc.herokuapp.com/)*

- [Installation](#installation)
- [Usage](#usage)
  - [Adding toc to all files in a directory and sub directories](#adding-toc-to-all-files-in-a-directory-and-sub-directories)
  - [Adding toc to a single file](#adding-toc-to-a-single-file)
    - [Example](#example)
  - [Using doctoc to generate bitbucket compatible links](#using-doctoc-to-generate-bitbucket-compatible-links)

## Installation

    npm install -g doctoc

## Usage

### Adding toc to all files in a directory and sub directories

Go into the directory that contains you local git project and type:
    
    doctoc .

This will update all markdown files in the current directory and all its
subdirectories with a table of content that will point at the anchors generated
by the github markdown parser.

### Adding toc to a single file

If you want to convert only a specific file, do:

    doctoc /path/to/file

#### Example

    doctoc README.md

### Using doctoc to generate bitbucket compatible links

In order to add a table of contents whose links are compatible with anchors generated by
[bitbucket](https://bitbucket.org/), supply a `--bitbucket` flag to doctoc.

    doctoc README.md --bitbucket


[![Bitdeli Badge](https://d2weczhvl823v0.cloudfront.net/thlorenz/doctoc/trend.png)](https://bitdeli.com/free "Bitdeli Badge")

